# MLabs Code Quality report

[Danger](http://danger.systems) runs on CI and reports common code review chores, code quality and test coverage.

## Installation

Set `DANGER_GITHUB_API_TOKEN` in Circle CI.

Add `mlabs-danger` to your application's `Gemfile`. And then execute `bundle install`:

```ruby
gem 'mlabs-danger', '~> 0.1.0'
```

Add the `Dangerfile` to your project:

```ruby
danger.import_dangerfile(gem: 'mlabs-danger')
```

Execute Danger on Circle CI, by adding the command to `circle.yml`:

```yaml
test:
  override:
     - bundle exec danger
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`.

## Contributing

Bug reports and pull requests are welcome on [GitHub](https://github.com/magrathealabs/mlabs-danger/issues). This project is
intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the
[Contributor Covenant](http://contributor-covenant.org) code of conduct.

# License

MIT License. See [LICENSE](LICENSE) for details.
