# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mlabs/danger/version'

Gem::Specification.new do |spec|
  spec.name          = 'mlabs-danger'
  spec.version       = Mlabs::Danger::VERSION
  spec.authors       = ['Magrathea Labs']
  spec.email         = ['contact@magrathealabs.com']

  spec.summary       = 'MLabs automated code review config'
  spec.description   = 'Danger runs on CI and reports common code review ' \
                       'chores, code quality and test coverage.'
  spec.homepage      = 'https://github.com/magrathealabs/mlabs-danger'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host' to
  # allow pushing to a single host or delete this section to allow pushing to any host.
  raise 'RubyGems 2.0 or newer is required to protect against public gem pushes.' unless spec.respond_to?(:metadata)
  spec.metadata['allowed_push_host'] = 'https://rubygems.org'

  spec.files = `git ls-files`.split("\n")
  spec.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
  spec.bindir = 'bin'
  spec.executables = []
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.2.2'

  spec.add_runtime_dependency 'danger', '~> 5.3.0'

  spec.add_development_dependency 'bundler', '~> 1.15.1'
  spec.add_development_dependency 'guard', '~> 2.14.1'
  spec.add_development_dependency 'guard-rspec', '~> 4.7.3'
  spec.add_development_dependency 'pry', '~> 0.10.4'
  spec.add_development_dependency 'rake', '~> 12.0.0'
  spec.add_development_dependency 'rspec', '~> 3.6.0'
end
